__ __ __ __ _____ _ _ _____ _ _ _ | \/ | \ \ / / | __ \ (_) | | / ____| | | | | | \ / |_ __\ V / | |__) | __ ___ ____ _| |_ ___ | (___ | |__ ___| | | | |\/| | '__|> < | ___/ '__| \ \ / / _` | __/ _ \ \___ \| '_ \ / _ \ | | | | | | |_ / . \ | | | | | |\ V / (_| | || __/ ____) | | | | __/ | | |_| |_|_(_)_/ \_\ |_| |_| |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1 if you need WebShell for Seo everyday contact me on Telegram Telegram Address : @jackleetFor_More_Tools:
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
ALL_TESTS="v2reportleave_test v3include_test v3inc_allow_test v3inc_is_include_test \
v3inc_is_exclude_test v3inc_to_exclude_test v3exc_allow_test v3exc_is_include_test \
v3exc_is_exclude_test v3exc_to_exclude_test v3inc_block_test v3exc_block_test \
v3exc_timeout_test v3star_ex_auto_add_test"
NUM_NETIFS=4
CHECK_TC="yes"
TEST_GROUP="239.10.10.10"
TEST_GROUP_MAC="01:00:5e:0a:0a:0a"
ALL_GROUP="224.0.0.1"
ALL_MAC="01:00:5e:00:00:01"
# IGMPv3 is_in report: grp 239.10.10.10 is_include 192.0.2.1,192.0.2.2,192.0.2.3
MZPKT_IS_INC="22:00:9d:de:00:00:00:01:01:00:00:03:ef:0a:0a:0a:c0:00:02:01:c0:00:02:02:c0:00:02:03"
# IGMPv3 is_in report: grp 239.10.10.10 is_include 192.0.2.10,192.0.2.11,192.0.2.12
MZPKT_IS_INC2="22:00:9d:c3:00:00:00:01:01:00:00:03:ef:0a:0a:0a:c0:00:02:0a:c0:00:02:0b:c0:00:02:0c"
# IGMPv3 is_in report: grp 239.10.10.10 is_include 192.0.2.20,192.0.2.30
MZPKT_IS_INC3="22:00:5f:b4:00:00:00:01:01:00:00:02:ef:0a:0a:0a:c0:00:02:14:c0:00:02:1e"
# IGMPv3 allow report: grp 239.10.10.10 allow 192.0.2.10,192.0.2.11,192.0.2.12
MZPKT_ALLOW="22:00:99:c3:00:00:00:01:05:00:00:03:ef:0a:0a:0a:c0:00:02:0a:c0:00:02:0b:c0:00:02:0c"
# IGMPv3 allow report: grp 239.10.10.10 allow 192.0.2.20,192.0.2.30
MZPKT_ALLOW2="22:00:5b:b4:00:00:00:01:05:00:00:02:ef:0a:0a:0a:c0:00:02:14:c0:00:02:1e"
# IGMPv3 is_ex report: grp 239.10.10.10 is_exclude 192.0.2.1,192.0.2.2,192.0.2.20,192.0.2.21
MZPKT_IS_EXC="22:00:da:b6:00:00:00:01:02:00:00:04:ef:0a:0a:0a:c0:00:02:01:c0:00:02:02:c0:00:02:14:c0:00:02:15"
# IGMPv3 is_ex report: grp 239.10.10.10 is_exclude 192.0.2.20,192.0.2.30
MZPKT_IS_EXC2="22:00:5e:b4:00:00:00:01:02:00:00:02:ef:0a:0a:0a:c0:00:02:14:c0:00:02:1e"
# IGMPv3 to_ex report: grp 239.10.10.10 to_exclude 192.0.2.1,192.0.2.20,192.0.2.30
MZPKT_TO_EXC="22:00:9a:b1:00:00:00:01:04:00:00:03:ef:0a:0a:0a:c0:00:02:01:c0:00:02:14:c0:00:02:1e"
# IGMPv3 block report: grp 239.10.10.10 block 192.0.2.1,192.0.2.20,192.0.2.30
MZPKT_BLOCK="22:00:98:b1:00:00:00:01:06:00:00:03:ef:0a:0a:0a:c0:00:02:01:c0:00:02:14:c0:00:02:1e"
source lib.sh
h1_create()
{
simple_if_init $h1 192.0.2.1/24 2001:db8:1::1/64
}
h1_destroy()
{
simple_if_fini $h1 192.0.2.1/24 2001:db8:1::1/64
}
h2_create()
{
simple_if_init $h2 192.0.2.2/24 2001:db8:1::2/64
}
h2_destroy()
{
simple_if_fini $h2 192.0.2.2/24 2001:db8:1::2/64
}
switch_create()
{
ip link add dev br0 type bridge mcast_snooping 1 mcast_querier 1
ip link set dev $swp1 master br0
ip link set dev $swp2 master br0
ip link set dev br0 up
ip link set dev $swp1 up
ip link set dev $swp2 up
}
switch_destroy()
{
ip link set dev $swp2 down
ip link set dev $swp1 down
ip link del dev br0
}
setup_prepare()
{
h1=${NETIFS[p1]}
swp1=${NETIFS[p2]}
swp2=${NETIFS[p3]}
h2=${NETIFS[p4]}
vrf_prepare
h1_create
h2_create
switch_create
}
cleanup()
{
pre_cleanup
switch_destroy
h2_destroy
h1_destroy
vrf_cleanup
}
v2reportleave_test()
{
RET=0
ip address add dev $h2 $TEST_GROUP/32 autojoin
check_err $? "Could not join $TEST_GROUP"
sleep 5
bridge mdb show dev br0 | grep $TEST_GROUP 1>/dev/null
check_err $? "IGMPv2 report didn't create mdb entry for $TEST_GROUP"
mcast_packet_test $TEST_GROUP_MAC 192.0.2.1 $TEST_GROUP $h1 $h2
check_fail $? "Traffic to $TEST_GROUP wasn't forwarded"
log_test "IGMPv2 report $TEST_GROUP"
RET=0
bridge mdb show dev br0 | grep $TEST_GROUP 1>/dev/null
check_err $? "mdb entry for $TEST_GROUP is missing"
ip address del dev $h2 $TEST_GROUP/32
check_err $? "Could not leave $TEST_GROUP"
sleep 5
bridge mdb show dev br0 | grep $TEST_GROUP 1>/dev/null
check_fail $? "Leave didn't delete mdb entry for $TEST_GROUP"
mcast_packet_test $TEST_GROUP_MAC 192.0.2.1 $TEST_GROUP $h1 $h2
check_err $? "Traffic to $TEST_GROUP was forwarded without mdb entry"
log_test "IGMPv2 leave $TEST_GROUP"
}
v3include_prepare()
{
local host1_if=$1
local mac=$2
local group=$3
local X=("192.0.2.1" "192.0.2.2" "192.0.2.3")
ip link set dev br0 type bridge mcast_igmp_version 3
check_err $? "Could not change bridge IGMP version to 3"
$MZ $host1_if -b $mac -c 1 -B $group -t ip "proto=2,p=$MZPKT_IS_INC" -q
sleep 1
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and .source_list != null)" &>/dev/null
check_err $? "Missing *,G entry with source list"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and .filter_mode == \"include\")" &>/dev/null
check_err $? "Wrong *,G entry filter mode"
brmcast_check_sg_entries "is_include" "${X[@]}"
}
v3exclude_prepare()
{
local host1_if=$1
local mac=$2
local group=$3
local pkt=$4
local X=("192.0.2.1" "192.0.2.2")
local Y=("192.0.2.20" "192.0.2.21")
v3include_prepare $host1_if $mac $group
$MZ $host1_if -c 1 -b $mac -B $group -t ip "proto=2,p=$MZPKT_IS_EXC" -q
sleep 1
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and .filter_mode == \"exclude\")" &>/dev/null
check_err $? "Wrong *,G entry filter mode"
brmcast_check_sg_entries "is_exclude" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and
.source_list[].address == \"192.0.2.3\")" &>/dev/null
check_fail $? "Wrong *,G entry source list, 192.0.2.3 entry still exists"
}
v3cleanup()
{
local port=$1
local group=$2
bridge mdb del dev br0 port $port grp $group
ip link set dev br0 type bridge mcast_igmp_version 2
}
v3include_test()
{
RET=0
local X=("192.0.2.1" "192.0.2.2" "192.0.2.3")
v3include_prepare $h1 $ALL_MAC $ALL_GROUP
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_fwding 1 "${X[@]}"
brmcast_check_sg_fwding 0 "192.0.2.100"
log_test "IGMPv3 report $TEST_GROUP is_include"
v3cleanup $swp1 $TEST_GROUP
}
v3inc_allow_test()
{
RET=0
local X=("192.0.2.10" "192.0.2.11" "192.0.2.12")
v3include_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_ALLOW" -q
sleep 1
brmcast_check_sg_entries "allow" "${X[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_fwding 1 "${X[@]}"
brmcast_check_sg_fwding 0 "192.0.2.100"
log_test "IGMPv3 report $TEST_GROUP include -> allow"
v3cleanup $swp1 $TEST_GROUP
}
v3inc_is_include_test()
{
RET=0
local X=("192.0.2.10" "192.0.2.11" "192.0.2.12")
v3include_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_IS_INC2" -q
sleep 1
brmcast_check_sg_entries "is_include" "${X[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_fwding 1 "${X[@]}"
brmcast_check_sg_fwding 0 "192.0.2.100"
log_test "IGMPv3 report $TEST_GROUP include -> is_include"
v3cleanup $swp1 $TEST_GROUP
}
v3inc_is_exclude_test()
{
RET=0
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP include -> is_exclude"
v3cleanup $swp1 $TEST_GROUP
}
v3inc_to_exclude_test()
{
RET=0
local X=("192.0.2.1")
local Y=("192.0.2.20" "192.0.2.30")
v3include_prepare $h1 $ALL_MAC $ALL_GROUP
ip link set dev br0 type bridge mcast_last_member_interval 500
check_err $? "Could not change mcast_last_member_interval to 5s"
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_TO_EXC" -q
sleep 1
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and .filter_mode == \"exclude\")" &>/dev/null
check_err $? "Wrong *,G entry filter mode"
brmcast_check_sg_entries "to_exclude" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and
.source_list[].address == \"192.0.2.2\")" &>/dev/null
check_fail $? "Wrong *,G entry source list, 192.0.2.2 entry still exists"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and
.source_list[].address == \"192.0.2.21\")" &>/dev/null
check_fail $? "Wrong *,G entry source list, 192.0.2.21 entry still exists"
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP include -> to_exclude"
ip link set dev br0 type bridge mcast_last_member_interval 100
v3cleanup $swp1 $TEST_GROUP
}
v3exc_allow_test()
{
RET=0
local X=("192.0.2.1" "192.0.2.2" "192.0.2.20" "192.0.2.30")
local Y=("192.0.2.21")
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_ALLOW2" -q
sleep 1
brmcast_check_sg_entries "allow" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP exclude -> allow"
v3cleanup $swp1 $TEST_GROUP
}
v3exc_is_include_test()
{
RET=0
local X=("192.0.2.1" "192.0.2.2" "192.0.2.20" "192.0.2.30")
local Y=("192.0.2.21")
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_IS_INC3" -q
sleep 1
brmcast_check_sg_entries "is_include" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP exclude -> is_include"
v3cleanup $swp1 $TEST_GROUP
}
v3exc_is_exclude_test()
{
RET=0
local X=("192.0.2.30")
local Y=("192.0.2.20")
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_IS_EXC2" -q
sleep 1
brmcast_check_sg_entries "is_exclude" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP exclude -> is_exclude"
v3cleanup $swp1 $TEST_GROUP
}
v3exc_to_exclude_test()
{
RET=0
local X=("192.0.2.1" "192.0.2.30")
local Y=("192.0.2.20")
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
ip link set dev br0 type bridge mcast_last_member_interval 500
check_err $? "Could not change mcast_last_member_interval to 5s"
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_TO_EXC" -q
sleep 1
brmcast_check_sg_entries "to_exclude" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP exclude -> to_exclude"
ip link set dev br0 type bridge mcast_last_member_interval 100
v3cleanup $swp1 $TEST_GROUP
}
v3inc_block_test()
{
RET=0
local X=("192.0.2.2" "192.0.2.3")
v3include_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_BLOCK" -q
# make sure the lowered timers have expired (by default 2 seconds)
sleep 3
brmcast_check_sg_entries "block" "${X[@]}"
brmcast_check_sg_state 0 "${X[@]}"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and
.source_list[].address == \"192.0.2.1\")" &>/dev/null
check_fail $? "Wrong *,G entry source list, 192.0.2.1 entry still exists"
brmcast_check_sg_fwding 1 "${X[@]}"
brmcast_check_sg_fwding 0 "192.0.2.100"
log_test "IGMPv3 report $TEST_GROUP include -> block"
v3cleanup $swp1 $TEST_GROUP
}
v3exc_block_test()
{
RET=0
local X=("192.0.2.1" "192.0.2.2" "192.0.2.30")
local Y=("192.0.2.20" "192.0.2.21")
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
ip link set dev br0 type bridge mcast_last_member_interval 500
check_err $? "Could not change mcast_last_member_interval to 5s"
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_BLOCK" -q
sleep 1
brmcast_check_sg_entries "block" "${X[@]}" "${Y[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_state 1 "${Y[@]}"
brmcast_check_sg_fwding 1 "${X[@]}" 192.0.2.100
brmcast_check_sg_fwding 0 "${Y[@]}"
log_test "IGMPv3 report $TEST_GROUP exclude -> block"
ip link set dev br0 type bridge mcast_last_member_interval 100
v3cleanup $swp1 $TEST_GROUP
}
v3exc_timeout_test()
{
RET=0
local X=("192.0.2.20" "192.0.2.30")
# GMI should be 5 seconds
ip link set dev br0 type bridge mcast_query_interval 100 \
mcast_query_response_interval 100 \
mcast_membership_interval 500
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
ip link set dev br0 type bridge mcast_query_interval 500 \
mcast_query_response_interval 500 \
mcast_membership_interval 1500
$MZ $h1 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_ALLOW2" -q
sleep 5
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and .filter_mode == \"include\")" &>/dev/null
check_err $? "Wrong *,G entry filter mode"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and
.source_list[].address == \"192.0.2.1\")" &>/dev/null
check_fail $? "Wrong *,G entry source list, 192.0.2.1 entry still exists"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and \
.source_list != null and
.source_list[].address == \"192.0.2.2\")" &>/dev/null
check_fail $? "Wrong *,G entry source list, 192.0.2.2 entry still exists"
brmcast_check_sg_entries "allow" "${X[@]}"
brmcast_check_sg_state 0 "${X[@]}"
brmcast_check_sg_fwding 1 "${X[@]}"
brmcast_check_sg_fwding 0 192.0.2.100
log_test "IGMPv3 group $TEST_GROUP exclude timeout"
ip link set dev br0 type bridge mcast_query_interval 12500 \
mcast_query_response_interval 1000 \
mcast_membership_interval 26000
v3cleanup $swp1 $TEST_GROUP
}
v3star_ex_auto_add_test()
{
RET=0
v3exclude_prepare $h1 $ALL_MAC $ALL_GROUP
$MZ $h2 -c 1 -b $ALL_MAC -B $ALL_GROUP -t ip "proto=2,p=$MZPKT_IS_INC" -q
sleep 1
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and .src == \"192.0.2.3\" and \
.port == \"$swp1\")" &>/dev/null
check_err $? "S,G entry for *,G port doesn't exist"
bridge -j -d -s mdb show dev br0 \
| jq -e ".[].mdb[] | \
select(.grp == \"$TEST_GROUP\" and .src == \"192.0.2.3\" and \
.port == \"$swp1\" and \
.flags[] == \"added_by_star_ex\")" &>/dev/null
check_err $? "Auto-added S,G entry doesn't have added_by_star_ex flag"
brmcast_check_sg_fwding 1 192.0.2.3
log_test "IGMPv3 S,G port entry automatic add to a *,G port"
v3cleanup $swp1 $TEST_GROUP
v3cleanup $swp2 $TEST_GROUP
}
trap cleanup EXIT
setup_prepare
setup_wait
tests_run
exit $EXIT_STATUS
| Name | Type | Size | Permission | Actions |
|---|---|---|---|---|
| Makefile | File | 2.94 KB | 0644 |
|
| bridge_fdb_learning_limit.sh | File | 5.8 KB | 0755 |
|
| bridge_igmp.sh | File | 14.71 KB | 0755 |
|
| bridge_locked_port.sh | File | 9.25 KB | 0755 |
|
| bridge_mdb.sh | File | 45.15 KB | 0755 |
|
| bridge_mdb_host.sh | File | 1.66 KB | 0755 |
|
| bridge_mdb_max.sh | File | 29.98 KB | 0755 |
|
| bridge_mdb_port_down.sh | File | 2.24 KB | 0755 |
|
| bridge_mld.sh | File | 16.17 KB | 0755 |
|
| bridge_port_isolation.sh | File | 2.32 KB | 0755 |
|
| bridge_sticky_fdb.sh | File | 1.13 KB | 0755 |
|
| bridge_vlan_aware.sh | File | 4.2 KB | 0755 |
|
| bridge_vlan_mcast.sh | File | 16.74 KB | 0755 |
|
| bridge_vlan_unaware.sh | File | 1.65 KB | 0755 |
|
| custom_multipath_hash.sh | File | 9.8 KB | 0755 |
|
| devlink_lib.sh | File | 12.81 KB | 0644 |
|
| dual_vxlan_bridge.sh | File | 11.21 KB | 0755 |
|
| fib_offload_lib.sh | File | 24.57 KB | 0644 |
|
| gre_custom_multipath_hash.sh | File | 12.51 KB | 0755 |
|
| gre_inner_v4_multipath.sh | File | 7.55 KB | 0755 |
|
| gre_inner_v6_multipath.sh | File | 7.66 KB | 0755 |
|
| gre_multipath.sh | File | 6.29 KB | 0755 |
|
| gre_multipath_nh.sh | File | 8.1 KB | 0755 |
|
| gre_multipath_nh_res.sh | File | 8.25 KB | 0755 |
|
| ip6_forward_instats_vrf.sh | File | 3.04 KB | 0755 |
|
| ip6gre_custom_multipath_hash.sh | File | 12.77 KB | 0755 |
|
| ip6gre_flat.sh | File | 1.18 KB | 0755 |
|
| ip6gre_flat_key.sh | File | 1.24 KB | 0755 |
|
| ip6gre_flat_keys.sh | File | 1.3 KB | 0755 |
|
| ip6gre_hier.sh | File | 1.27 KB | 0755 |
|
| ip6gre_hier_key.sh | File | 1.33 KB | 0755 |
|
| ip6gre_hier_keys.sh | File | 1.39 KB | 0755 |
|
| ip6gre_inner_v4_multipath.sh | File | 7.77 KB | 0755 |
|
| ip6gre_inner_v6_multipath.sh | File | 7.88 KB | 0755 |
|
| ip6gre_lib.sh | File | 15.75 KB | 0644 |
|
| ipip_flat_gre.sh | File | 838 B | 0755 |
|
| ipip_flat_gre_key.sh | File | 860 B | 0755 |
|
| ipip_flat_gre_keys.sh | File | 886 B | 0755 |
|
| ipip_hier_gre.sh | File | 887 B | 0755 |
|
| ipip_hier_gre_key.sh | File | 910 B | 0755 |
|
| ipip_hier_gre_keys.sh | File | 938 B | 0755 |
|
| ipip_lib.sh | File | 8.34 KB | 0644 |
|
| lib.sh | File | 41.63 KB | 0644 |
|
| lib_sh_test.sh | File | 3.57 KB | 0755 |
|
| local_termination.sh | File | 14.42 KB | 0755 |
|
| min_max_mtu.sh | File | 4.74 KB | 0755 |
|
| mirror_gre.sh | File | 2.9 KB | 0755 |
|
| mirror_gre_bound.sh | File | 5.51 KB | 0755 |
|
| mirror_gre_bridge_1d.sh | File | 4.12 KB | 0755 |
|
| mirror_gre_bridge_1d_vlan.sh | File | 2.37 KB | 0755 |
|
| mirror_gre_bridge_1q.sh | File | 3.97 KB | 0755 |
|
| mirror_gre_bridge_1q_lag.sh | File | 7.02 KB | 0755 |
|
| mirror_gre_changes.sh | File | 5.17 KB | 0755 |
|
| mirror_gre_flower.sh | File | 2.61 KB | 0755 |
|
| mirror_gre_lag_lacp.sh | File | 7.48 KB | 0755 |
|
| mirror_gre_lib.sh | File | 3.65 KB | 0644 |
|
| mirror_gre_neigh.sh | File | 2.08 KB | 0755 |
|
| mirror_gre_nh.sh | File | 2.53 KB | 0755 |
|
| mirror_gre_topo_lib.sh | File | 3.45 KB | 0644 |
|
| mirror_gre_vlan.sh | File | 1.36 KB | 0755 |
|
| mirror_gre_vlan_bridge_1q.sh | File | 8.46 KB | 0755 |
|
| mirror_lib.sh | File | 3.72 KB | 0644 |
|
| mirror_topo_lib.sh | File | 2.73 KB | 0644 |
|
| mirror_vlan.sh | File | 1.86 KB | 0755 |
|
| no_forwarding.sh | File | 5.52 KB | 0755 |
|
| pedit_dsfield.sh | File | 6.69 KB | 0755 |
|
| pedit_ip.sh | File | 4.41 KB | 0755 |
|
| pedit_l4port.sh | File | 4.46 KB | 0755 |
|
| q_in_vni.sh | File | 10.71 KB | 0755 |
|
| q_in_vni_ipv6.sh | File | 10.87 KB | 0755 |
|
| router.sh | File | 7.32 KB | 0755 |
|
| router_bridge.sh | File | 3.97 KB | 0755 |
|
| router_bridge_1d.sh | File | 5.1 KB | 0755 |
|
| router_bridge_1d_lag.sh | File | 9.3 KB | 0755 |
|
| router_bridge_lag.sh | File | 6.82 KB | 0755 |
|
| router_bridge_pvid_vlan_upper.sh | File | 3.5 KB | 0755 |
|
| router_bridge_vlan.sh | File | 5.46 KB | 0755 |
|
| router_bridge_vlan_upper.sh | File | 3.92 KB | 0755 |
|
| router_bridge_vlan_upper_pvid.sh | File | 3.7 KB | 0755 |
|
| router_broadcast.sh | File | 5.02 KB | 0755 |
|
| router_mpath_nh.sh | File | 10.73 KB | 0755 |
|
| router_mpath_nh_lib.sh | File | 3.2 KB | 0644 |
|
| router_mpath_nh_res.sh | File | 12.71 KB | 0755 |
|
| router_mpath_seed.sh | File | 7.37 KB | 0755 |
|
| router_multicast.sh | File | 14.6 KB | 0755 |
|
| router_multipath.sh | File | 7.07 KB | 0755 |
|
| router_nh.sh | File | 3.31 KB | 0755 |
|
| router_vid_1.sh | File | 3.52 KB | 0755 |
|
| sch_ets.sh | File | 745 B | 0755 |
|
| sch_ets_core.sh | File | 7.33 KB | 0644 |
|
| sch_ets_tests.sh | File | 4.09 KB | 0644 |
|
| sch_red.sh | File | 11.14 KB | 0755 |
|
| sch_tbf_core.sh | File | 4.77 KB | 0644 |
|
| sch_tbf_ets.sh | File | 118 B | 0755 |
|
| sch_tbf_etsprio.sh | File | 1.37 KB | 0644 |
|
| sch_tbf_prio.sh | File | 118 B | 0755 |
|
| sch_tbf_root.sh | File | 496 B | 0755 |
|
| skbedit_priority.sh | File | 3.87 KB | 0755 |
|
| tc_actions.sh | File | 9.3 KB | 0755 |
|
| tc_chains.sh | File | 4.83 KB | 0755 |
|
| tc_common.sh | File | 710 B | 0644 |
|
| tc_flower.sh | File | 21.24 KB | 0755 |
|
| tc_flower_cfm.sh | File | 4.85 KB | 0755 |
|
| tc_flower_l2_miss.sh | File | 9.13 KB | 0755 |
|
| tc_flower_port_range.sh | File | 7.35 KB | 0755 |
|
| tc_flower_router.sh | File | 3.02 KB | 0755 |
|
| tc_mpls_l2vpn.sh | File | 5.03 KB | 0755 |
|
| tc_police.sh | File | 11.75 KB | 0755 |
|
| tc_shblocks.sh | File | 2.68 KB | 0755 |
|
| tc_tunnel_key.sh | File | 3.71 KB | 0755 |
|
| tc_vlan_modify.sh | File | 3.17 KB | 0755 |
|
| tsn_lib.sh | File | 5.47 KB | 0644 |
|
| vxlan_asymmetric.sh | File | 17.55 KB | 0755 |
|
| vxlan_asymmetric_ipv6.sh | File | 16.03 KB | 0755 |
|
| vxlan_bridge_1d.sh | File | 20.4 KB | 0755 |
|
| vxlan_bridge_1d_ipv6.sh | File | 21.31 KB | 0755 |
|
| vxlan_bridge_1d_port_8472.sh | File | 172 B | 0755 |
|
| vxlan_bridge_1d_port_8472_ipv6.sh | File | 188 B | 0755 |
|
| vxlan_bridge_1q.sh | File | 22.91 KB | 0755 |
|
| vxlan_bridge_1q_ipv6.sh | File | 24.35 KB | 0755 |
|
| vxlan_bridge_1q_port_8472.sh | File | 172 B | 0755 |
|
| vxlan_bridge_1q_port_8472_ipv6.sh | File | 188 B | 0755 |
|
| vxlan_reserved.sh | File | 7.23 KB | 0755 |
|
| vxlan_symmetric.sh | File | 18.05 KB | 0755 |
|
| vxlan_symmetric_ipv6.sh | File | 18.31 KB | 0755 |
|